function __$styleInject(css) {
    if (!css) return;

    if (typeof window == 'undefined') return;
    var style = document.createElement('style');
    style.setAttribute('media', 'screen');

    style.innerHTML = css;
    document.head.appendChild(style);
    return css;
}

function ___$insertStyle(css) {
  if (!css) {
    return;
  }
  if (typeof window === 'undefined') {
    return;
  }

  var style = document.createElement('style');

  style.setAttribute('type', 'text/css');
  style.innerHTML = css;
  document.head.appendChild(style);
  return css;
}

import angular from 'angular';
import $ from 'jquery';

/* @ngInject */
function directive () {
  return {
    restrict: 'A',
    scope: false,
    link: function link(scope, el, attrs) {
      var privateAttr = {
        draggableSrcClonedClass: null
      };
      var obj = {
        draggableId: null,
        draggableInfo: null
      };
      var opts = angular.isDefined(attrs.draggableOptions) ? scope.$eval(attrs.draggableOptions) : {};
      var evts = {};
      var options = null;

      function emitEvent(name, ui) {
        scope.$apply(function () {
          scope.$emit(name, {
            dragged: ui,
            draggable: obj
          });
        });
      }

      if (angular.isDefined(attrs.draggableSrcClonedClass)) {
        privateAttr.draggableSrcClonedClass = attrs.draggableSrcClonedClass;
      }

      attrs.$observe('draggableInfo', function (draggableInfo) {
        if (draggableInfo) {
          obj.draggableInfo = scope.$eval(attrs.draggableInfo);
        }
      });
      attrs.$observe('draggableId', function (draggableId) {
        obj.draggableId = draggableId;
      });
      attrs.$observe('draggableDisabled', function (disabled) {
        if ($(el).draggable) {
          $(el).draggable({
            disabled: disabled === 'true'
          });
        }
      });
      evts = {
        drag: function drag(event, ui) {
          emitEvent('draggable.drag', ui);
        },
        start: function start(event, ui) {
          if (privateAttr.draggableSrcClonedClass) {
            scope.$apply(function () {
              $(el).addClass(privateAttr.draggableSrcClonedClass);
            });
          }

          emitEvent('draggable.start', ui);
        },
        stop: function stop(event, ui) {
          if (privateAttr.draggableSrcClonedClass) {
            scope.$apply(function () {
              $(el).removeClass(privateAttr.draggableSrcClonedClass);
            });
          }

          emitEvent('draggable.stop', ui);
        }
      };
      options = $.extend({}, opts, evts);
      $(el).draggable(options);
    }
  };
}

var moduleName = 'ngOvhJqueryUiDraggable';
angular.module(moduleName, []).directive('draggable', directive);

export default moduleName;
//# sourceMappingURL=index.js.map
